CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-4338

unlzh.c in the LHZ component in gzip 1.3.5 allows context-dependent attackers to cause a denial of service (infinite loop) via a crafted GZIP archive.
Publish Date : 2006-09-19 Last Update Date : 2010-09-15
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Vendor Statements

Red Hat is aware of this issue and is tracking it via the following bug: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=220595 The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw. Red Hat Enterprise Linux 5 is not vulnerable to this issue as it contains a backported patch.
Source: Redhat

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low 2006-08-28 2006-09-19
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2006-4338 oval:org.opensuse.security:def:20064338 unix
HP-UX Running Software Distributor (SD), Remote Denial of Service (DoS) oval:org.mitre.oval:def:19798 unix
RHSA-2006:0667: gzip security update (Moderate) oval:com.redhat.rhsa:def:20060667 unix
unlzh.c in the LHZ component in gzip 1.3.5 allows context-dependent attackers to cause a denial of service (infinite loo... oval:org.mitre.oval:def:11290 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-4338

# Product Type Vendor Product Version Update Edition Language
1 Application Gzip Gzip 1.3.5 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Gzip Gzip 1

- References For CVE-2006-4338

ftp://patches.sgi.com/support/free/security/advisories/20061001-01-P.asc
SGI 20061001-01-P
http://docs.info.apple.com/article.html?artnum=304829 CONFIRM
http://secunia.com/advisories/22027
SECUNIA 22027
http://secunia.com/advisories/21996
SECUNIA 21996
http://lists.apple.com/archives/security-announce/2006/Nov/msg00001.html
APPLE APPLE-SA-2006-11-28
http://secunia.com/advisories/22085
SECUNIA 22085
http://secunia.com/advisories/22101
SECUNIA 22101
http://secunia.com/advisories/22435
SECUNIA 22435
http://secunia.com/advisories/22487
SECUNIA 22487
http://secunia.com/advisories/22661
SECUNIA 22661
http://secunia.com/advisories/23153
SECUNIA 23153
http://secunia.com/advisories/23155
SECUNIA 23155
http://secunia.com/advisories/23156
SECUNIA 23156
http://secunia.com/advisories/23679
SECUNIA 23679
http://secunia.com/advisories/24435
SECUNIA 24435
http://secunia.com/advisories/24636
SECUNIA 24636
http://security.gentoo.org/glsa/glsa-200609-13.xml
GENTOO GLSA-200609-13
http://securitytracker.com/id?1016883
SECTRACK 1016883
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102766-1
SUNALERT 102766
http://www.frsirt.com/english/advisories/2006/4275
VUPEN ADV-2006-4275
http://support.avaya.com/elmodocs2/security/ASA-2006-218.htm CONFIRM
http://www.frsirt.com/english/advisories/2006/4750
VUPEN ADV-2006-4750
http://www.frsirt.com/english/advisories/2006/4760
VUPEN ADV-2006-4760
http://www.frsirt.com/english/advisories/2007/0092
VUPEN ADV-2007-0092
http://www.frsirt.com/english/advisories/2007/0832
VUPEN ADV-2007-0832
http://www.frsirt.com/english/advisories/2007/1171
VUPEN ADV-2007-1171
http://www.gentoo.org/security/en/glsa/glsa-200611-24.xml
GENTOO GLSA-200611-24
http://www.novell.com/linux/security/advisories/2006_56_gzip.html
SUSE SUSE-SA:2006:056
http://www.mandriva.com/security/advisories?name=MDKSA-2006:167
MANDRIVA MDKSA-2006:167
http://www.securityfocus.com/archive/1/archive/1/446426/100/0/threaded
BUGTRAQ 20060919 rPSA-2006-0170-1 gzip
http://www.openpkg.org/security/advisories/OpenPKG-SA-2006.020-gzip.html
OPENPKG OpenPKG-SA-2006.020
http://www.securityfocus.com/archive/1/archive/1/462007/100/0/threaded
HP HPSBUX02195
http://www.securityfocus.com/archive/1/archive/1/451324/100/0/threaded
FEDORA FLSA:211760
http://www.securityfocus.com/archive/1/archive/1/450078/100/0/threaded
HP SSRT061237
http://www.securityfocus.com/bid/20101
BID 20101 GNU GZip Archive Handling Multiple Remote Vulnerabilities Release Date:2007-03-30
http://www.securityfocus.com/archive/1/archive/1/464268/100/0/threaded
BUGTRAQ 20070330 VMSA-2007-0002 VMware ESX security updates
http://www.vmware.com/support/esx25/doc/esx-254-200702-patch.html CONFIRM
https://issues.rpath.com/browse/RPL-615 CONFIRM
http://www.trustix.org/errata/2006/0052/
TRUSTIX 2006-0052
http://xforce.iss.net/xforce/xfdb/29046
XF gzip-lhz-dos(29046)
http://www.frsirt.com/english/advisories/2006/3695
VUPEN ADV-2006-3695
http://security.freebsd.org/advisories/FreeBSD-SA-06:21.gzip.asc
FREEBSD FreeBSD-SA-06:21
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=204676
http://www.osvdb.org/29008
OSVDB 29008
http://www.ubuntu.com/usn/usn-349-1
UBUNTU USN-349-1
http://www.redhat.com/support/errata/RHSA-2006-0667.html
REDHAT RHSA-2006:0667
http://www.us.debian.org/security/2006/dsa-1181
DEBIAN DSA-1181
http://secunia.com/advisories/22002
SECUNIA 22002
http://secunia.com/advisories/22009
SECUNIA 22009
http://secunia.com/advisories/22043
SECUNIA 22043
http://secunia.com/advisories/22034
SECUNIA 22034
http://secunia.com/advisories/22033
SECUNIA 22033
http://secunia.com/advisories/22017
SECUNIA 22017
http://secunia.com/advisories/22012
SECUNIA 22012
http://www.us-cert.gov/cas/techalerts/TA06-333A.html
CERT TA06-333A
http://slackware.com/security/viewer.php?l=slackware-security&y=2006&m=slackware-security.555852
SLACKWARE SSA:2006-262

- Metasploit Modules Related To CVE-2006-4338

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.